WP3TablesGroup Class Reference

`#include <WP3TablesGroup.h>`

Inheritance diagram for WP3TablesGroup:

## Public Member Functions

| WP3TablesGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3TablesGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes

unsigned char | m_tableMode
unsigned | m_offsetFromLeftEdge
unsigned | m_topGutterSpacing
unsigned | m_leftGutterSpacing
unsigned | m_bottomGutterSpacing
unsigned | m_rightGutterSpacing
unsigned char | m_numColumns
std::vector< unsigned char > | m_columnMode
std::vector< unsigned char > | m_numberFormat
std::vector< unsigned > | m_columnWidth
std::vector< unsigned > | m_rightOffsetForDecimalAlign
unsigned short | m_colSpan
unsigned short | m_rowSpan
RGBSColor | m_cellFillColor

## Additional Inherited Members

Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## WP3TablesGroup()

WP3TablesGroup::WP3TablesGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ~WP3TablesGroup()

WP3TablesGroup::~WP3TablesGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP3TablesGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Reimplemented from WP3VariableLengthGroup.

## parse()

void WP3TablesGroup::parse | ( | WP3Listener * | listener | ) |

override virtual

Implements WP3Part.

## Member Data Documentation

## m_bottomGutterSpacing

unsigned WP3TablesGroup::m_bottomGutterSpacing

private

Referenced by _readContents(), and WP3TablesGroup().

## m_cellFillColor

RGBSColor WP3TablesGroup::m_cellFillColor

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_colSpan

unsigned short WP3TablesGroup::m_colSpan

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_columnMode

std::vector<unsigned char> WP3TablesGroup::m_columnMode

private

Referenced by _readContents(), and WP3TablesGroup().

## m_columnWidth

std::vector<unsigned> WP3TablesGroup::m_columnWidth

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_leftGutterSpacing

unsigned WP3TablesGroup::m_leftGutterSpacing

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_numberFormat

std::vector<unsigned char> WP3TablesGroup::m_numberFormat

private

Referenced by _readContents(), and WP3TablesGroup().

## m_numColumns

unsigned char WP3TablesGroup::m_numColumns

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_offsetFromLeftEdge

unsigned WP3TablesGroup::m_offsetFromLeftEdge

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_rightGutterSpacing

unsigned WP3TablesGroup::m_rightGutterSpacing

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_rightOffsetForDecimalAlign

std::vector<unsigned> WP3TablesGroup::m_rightOffsetForDecimalAlign

private

Referenced by _readContents(), and WP3TablesGroup().

## m_rowSpan

unsigned short WP3TablesGroup::m_rowSpan

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_tableMode

unsigned char WP3TablesGroup::m_tableMode

private

Referenced by _readContents(), parse(), and WP3TablesGroup().

## m_topGutterSpacing

unsigned WP3TablesGroup::m_topGutterSpacing

private

Referenced by _readContents(), and WP3TablesGroup().

The documentation for this class was generated from the following files:

- WP3TablesGroup.h
- WP3TablesGroup.cpp